Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Help with PHP configuration?
05-29-2014, 07:42 AM
Post: #1
Help with PHP configuration?
I should have PHP 5.5 on my laptop (which I use just for practice), but some of the built-in functions won't work. For example, mcrypt_create_iv() and mysqli prepared statements. I know I'm using them correctly though because I upload the code to a production server and all my code works perfectly. Phpinfo() says I'm running "PHP Version 5.5.3-1ubuntu2.1" and my web server is Apache 2. Any idea what's wrong and/or how to fix it?
MySQLi works, just not prepared statements. And I already tried running apt-get install php5-mcrypt.

Ads

Find all posts by this user
Quote this message in a reply
05-29-2014, 07:54 AM
Post: #2
 
In order to get mysqli to work , in your php.ini file, you need to enable the php_mysli extension. For mcrypt, you probably need to run the following command:

sudo apt-get install php5-mcrypt
Find all posts by this user
Quote this message in a reply
05-29-2014, 08:00 AM
Post: #3
 
Enable the extensions. For ease put the full path.
ex: extension =D:/SERVERS/PHP5/EXT/php_mysqli.dll
(this is taken from my working config in case anyone thinks it won't work)

Ads

Find all posts by this user
Quote this message in a reply
05-29-2014, 08:11 AM
Post: #4
 
In Phpinfo is there something about mcrypt?

From mine:

Additional .ini files parsed : /etc/php.d/mcrypt.ini
(content of myscrypt.ini is :
; Enable mcrypt extension module
extension=mcrypt.so )

-----------------------mcrypt
mcrypt support-----------enabled

Im using another Linux distro but its basically the same thing
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)